#!/bin/sh
# the next line restarts using tclsh \
exec tclsh "$0" "$@"

load ../src/gnocl.so

set mainBox [gnocl::box -orientation vertical]
$mainBox add [gnocl::label -text "pid: [pid]"]
set sock [gnocl::socket]
$mainBox add [gnocl::box -label "Socket Widget" -children $sock]

set win [gnocl::window -title "Socket plug Tests" -child $mainBox]
# wait that all widgets are shown
gnocl::update
puts [$sock getXID]
set erg ""
catch {exec test-plug.tcl [$sock getXID] &} erg
puts $erg

